# 常规设置
backend = "glx";
vsync = true;

# 阴影
shadow = true;
shadow-radius = 12;
shadow-opacity = 0.3;
shadow-offset-x = -8;
shadow-offset-y = -8;

shadow-exclude = [
# wine 应用不加阴影
  "class_g *= '.exe'",
# chrome
  "name *= 'Chrome'",
# 这个是啥我也不清楚, 大家都写
  "_NET_WM_STATE@:32a *= '_NET_WM_STATE_HIDDEN'",

# 这个大概是gtk4应用
  "_GTK_FRAME_EXTENTS@:c"
]



# 渐隐渐现

fading = true;
fade-in-step = 0.03;
fade-out-step = 0.03;
fade-delta = 5;

fade-exclude = [
  "class_g = 'slop'",
  "class_g *= 'fcitx'"
]


# 透明度

opacity-rule = [
# telegram pop media viewer
  "100:name = 'Media viewer'",
  "100:class_g *= 'Gnome-boxes'",
  "100:class_g *= '.exe'"
]


# 模糊
#
blur-background = true;
blur-background-frame = false;
blur-method = "dual_kawase";
blur-size = 3;
blur-background-exclude = [
# wine 应用不加模糊
  "class_g *= '.exe'",
#    "window_type = 'dock'",
  "window_type = 'desktop'",
  "class_g = 'slop'"
# "_GTK_FRAME_EXTENTS@:c"
];

wintypes:
{
  tooltip = {fade = true; shadow = false; opacity = 0.93;}
  normal = {fade = true; shadow = true; focus = true; opacity = 0.93;}
  fullscreen = {fade = true; shadow = false; focus = true; opacity = 1.0;}
  dock = {shadow = false;}
  utility = {shadow = false;}
  dnd = {shadow = true;}
  popup_menu = {shadow = false; opacity = 0.93;}
  dropdown_menu = {shadow = false; opacity = 0.93;}
}